### org.jfree.layouting.renderer.model.table.rows

# Class AbstractRowModel

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.table.rows.AbstractRowModel`

Implemented Interfaces:
  TableRowModel

Known Direct Subclasses:
  SeparateRowModel

`public abstract class AbstractRowModel`
`extends java.lang.Object`
`implements TableRowModel`

Creation-Date: 21.07.2006, 19:21:43

Author:
  Thomas Morgner

  ## Constructor Summary

  `AbstractRowModel(TableSectionRenderBox tableSection)`

  ## Method Summary

  `void`

  `addRow(TableRow row)`

  `TableRow`

  `getRow(int i)`

  `int`

  `getRowCount()`

  `long`

  `getRowSpacing()`

  `TableRow[]`

  `getRows()`

  `TableSectionRenderBox`

  `getTableSection()`

## Constructor Details

### AbstractRowModel

    public AbstractRowModel(TableSectionRenderBox tableSection)

## Method Details

### addRow

    public void addRow(TableRow row)

> Specified by:
>   addRow in interface TableRowModel

### getRow

    public TableRow getRow(int i)

> Specified by:
>   getRow in interface TableRowModel

### getRowCount

    public int getRowCount()

> Specified by:
>   getRowCount in interface TableRowModel

### getRowSpacing

    public long getRowSpacing()

> Specified by:
>   getRowSpacing in interface TableRowModel

### getRows

    public TableRow[] getRows()

> Specified by:
>   getRows in interface TableRowModel

### getTableSection

    public TableSectionRenderBox getTableSection()

> Specified by:
>   getTableSection in interface TableRowModel